NQUIRE(1)

NAME
nquire - query NCBI Entrez Utilities, other parameter-based web services, or FTP

SYNOPSIS
nquire [-help] [-ftp host dir [file]] [-get [fIURL]] [-url URL] [-lst host dir] [-eutils name] [-dwn host dir [file]] [-asp host dir [file]] [component ...] [-tag value ...] [-examples] [-version]

DESCRIPTION
nquire performs raw HTTP(S) queries against web services such as NCBI E-Utilities that take GET or POST parameters, or downloads or listings from FTP and Aspera servers. (Aspera support requires installing proprietary client software.)

OPTIONS

  Documentation

-help
    Print usage information, complete with a few examples, some additionally illustrating the use of xtract(1).

  Query Commands

-ftp host dir [file]
    Use FTP instead of HTTP. The shell implementation accepts a filename on the command line only when invoked from a (pseudo)terminal, and otherwise reads filenames from standard input.

-get [fIURL]
    Use HTTP(S) GET instead of POST.

-url URL
    Base URL for external search.

-lst host dir
    Lists contents of FTP site.

  File Downloads

-dwn host dir [file]
    Like -ftp, but saves contents to correspondingly named files in the current directory.

-asp host dir [file]
    Like -dwn, but uses Aspera's proprietary client if installed.

component
    Add /component to the base URL. (Must precede any tag/value pairs.)

-tag value ...
    Add &tag=value,... to the base URL. (Must follow any simple components.)

-examples
    Examples of advanced queries.

-version
    Print version number.

SEE ALSO
bt-link(1), bt-srch(1), curl(1), download-ncbi-data(1), edirect(1), efetch(1), efilter(1), einfo(1), elink(1), esearch(1), ftp-cp(1), ftp-ls(1), wget(1), xplore(1), xtract(1).